Skip to main content
POST
/
tasks
/
sunflower_inference
Sunflower Inference
curl --request POST \
  --url https://api.sunbird.ai/tasks/sunflower_inference \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "messages": [
    {
      "role": "<string>",
      "content": "<string>"
    }
  ],
  "model_type": "qwen",
  "temperature": 0.3,
  "stream": false,
  "system_message": "<string>"
}
'
{
  "content": "<string>",
  "model_type": "<string>",
  "usage": {
    "completion_tokens": 123,
    "prompt_tokens": 123,
    "total_tokens": 123
  },
  "processing_time": 123,
  "inference_time": 123,
  "message_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://sunbirdai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
messages
SunflowerChatMessage · object[]
required

List of conversation messages

model_type
string
default:qwen

Model type: 'qwen' or 'gemma'

temperature
number
default:0.3

Sampling temperature

Required range: 0 <= x <= 2
stream
boolean
default:false

Whether to stream the response

system_message
string | null

Custom system message

Response

Successful Response

content
string
required

The AI's response

model_type
string
required

Model used for inference

usage
SunflowerUsageStats · object
required

Token usage statistics

processing_time
number
required

Total processing time in seconds

inference_time
number
required

Model inference time in seconds

message_count
integer
required

Number of messages processed